using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;

/// <summary>
/// Test 的摘要说明
/// </summary>
public class Test
{
    public Test()
    {
        //
        // TODO: 在此处添加构造函数逻辑
        //
    }

    public string aa;
    public abstract class Pet //基类，抽象类，定义宠物类
    {
        public String Name { get; set; } //宠物名字
        public String Gender { get; set; } //宠物性别
        public int Health { get; set; } //宠物健康值
        public abstract void ToHospital(); //看病方法
    }

    class Dog : Pet //派生类，定义小狗类
    {
        public override void ToHospital() //重写看病方法
        {
            Console.WriteLine("打针、吃药");
        }
    }
    public class Cat : Pet //派生类，定义猫咪类
    {
        public override void ToHospital() //重写看病方法
        {
            Console.WriteLine("输液、疗养");
        }
    }
    public class Bird : Pet //派生类，定义小鸟类
    {
        public override void ToHospital() //重写看病方法
        {
            Console.WriteLine("吃药、疗养");
        }
    }
    class Doctor //定义医生类
    {
        public void Cure(Pet pet) //治疗方法
        {
            if (pet.Health < 50)
            {
                pet.ToHospital();
                pet.Health = 60;
            }
        }
    }


}